% Stellt die verschiedenen Leistungen dar
% rmax: Maximaler Widerstand (in Vielfachen von ri), bis zu der gerechnet wird

function [retval] = leistungsanpassung (rmax)

r=linspace(0,rmax,101);
u=r./(r+1);
i=1./(r+1);
pl=u.*i;
pges=i;
pv=pges-pl;
eta=pl./pges;
clf;
[ax,h1,h2]=plotyy(r,pl,r,100*eta); hold on;
[h3]=plot(r,pv);
[h4]=plot(r,pges);
plot(r,pges);
set(h1,'linewidth',4);set(h2,'linewidth',4);
set(h3,'linewidth',4);set(h4,'linewidth',4);
set(h1,'color','b');set(h2,'color','r');
set(h3,'color','b');set(h3,'linestyle','-.');
set(h4,'color','b');set(h4,'linestyle','--');
set(ax(2),'ycolor',[1 0 0]);set(ax,'fontsize',16);
xlabel('R_L/R_i');ylabel(ax(1),'P/(U_{LL}I_{KS})');ylabel(ax(2),'\eta/%');
grid on;
legend('P_L','P_{ges}','P_V');

endfunction
